; IMPORTANT:  THIS IS A TEMPLATE .INI FILE FOR THE SQL SERVER 2005 UNATTENDED INSTALLATION, 
; MODIFICATION TO THIS FILE IS REQUIRED TO USE DURING SETUP.

; User must fill in the required information for installation and comment out or delete any non-related information.
; To comment out a line, preface it with a semicolon ‘;’. Items in angled brackets ‘<>’ should be replaced with information without brackets. To determine the information required by your installation, read the descriptions that are provided for each parameter or refer to the SQL Server Books Online help for additional information.

; To use this .ini file, use the /settings switch on the SQL Server 2005 Setup.exe command line. 
; For example: start /wait setup.exe /qb /settings c:\template.ini

; SECURITY NOTE: If you create a template.ini file that contains logins and passwords, store the file in a secured location after use. 
;--------------------------------------------------------------------
;--------------------------------------------------------------------

; Command line examples:

; /qn is quiet mode, no GUI is displayed.
; /qb is quiet mode, basic GUI information is displayed, no user interaction is required. Use /qb for troubleshooting command line problems. 

; 1a. New Default instance installation: (Only applies to SQL Server Express Edition)
;  start /wait setup.exe /qn ADDLOCAL=ALL SQLBROWSERACCOUNT=<domain\user> SQLBROWSERPASSWORD=<domainuserpassword> SQLBROWSERAUTOSTART=1 
           
;1b. New Default instance installation: (Applies to all other SQL Server Editions)
;     i) Install Database Services instance, Replication, connectivity and SQLXML components:
; start /wait setup.exe /qb INSTANCENAME=MSSQLSERVER ADDLOCAL=SQL_Engine,SQL_Replication,Client_Components,Connectivity,SQLXML SAPWD=<Strongpassword> SQLACCOUNT=<domain\user> SQLPASSWORD=<domainuserpassword>  AGTACCOUNT=<domain\user> AGTPASSWORD=<domainuserpassword>  SQLBROWSERACCOUNT=<domain\user>  SQLBROWSERPASSWORD=<domainuserpassword>

;     ii) Install Analysis Services and Analysis Services sample database:
; start /wait setup.exe /qb INSTANCENAME=MSSQLSERVER ADDLOCAL=Analysis_Server,AnalysisDataFiles,SQL_AdventureWorksASSamples  SAPWD=<Strongpassword> ASACCOUNT=<domain\user> ASPASSWORD=<domainuserpassword> SQLBROWSERACCOUNT=<domain\user>  SQLBROWSERPASSWORD=<domainuserpassword> 

;     iii) Install only connectivity and SQLXML components:
; start /wait setup.exe /qb ADDLOCAL=Client_Components,Connectivity,SQLXML

; 2. New Named cluster instance installation: (This example only installs SQL Server Database Services)
; start /wait setup.exe /qn  VS=<VSNAME> INSTALLVS=SQL_Engine INSTANCENAME=<Instancename> ADDLOCAL=SQL_Engine ADDNODE=<NodeName1,NodeName2> GROUP=<Diskgroup>  IP=<IP,Networkname> ADMINPASSWORD=<Strongpassowrd> SAPWD=<strongpassord> INSTALLSQLDIR=<InstallationPath> INSTALLSQLDATADIR=<ShareDrivePath> SQLACCOUNT=<domain\user> SQLPASSWORD=<domainuserpassword> AGTACCOUNT=<domain\user> AGTPASSWORD=<domainuserpassword>  SQLBROWSERACCOUNT=<domain\user>  SQLBROWSERPASSWORD=<domainuserpassword> SQLCLUSTERGROUP="MYDOMIAN\MYSQLDOMAINGROUP" AGTCLUSTERGROUP="MYDOMIAN\MYAGTDOMAINGROUP"

; 3. Default Standalone instance Maintenance (add/remove features):
; start /wait setup.exe /qb INSTANCENAME=MSSQLSERVER ADDLOCAL=SQL_FullText REMOVE=SQL_Replication 

; 4. Uninstall Default Standalone installation: (This removes all features of default SQL Server)
; start /wait setup.exe /qb REMOVE=ALL INSTANCENAME=MSSQLSERVER 

; 5. Add nodes to cluster: (This adds new SQL Server Database Services feature to specified node)
; start /wait setup.exe /qn VS=<VSNAME> INSTALLVS=SQL_Engine INSTANCENAME=MSSQLSERVER ADMINPASSWORD=<Strongpassword> ADDNODE=<NodeName> ADDLOCAL=SQL_Engine SQLACCOUNT=<domain\user> SQLPASSWORD=<domainuserpassword> AGTACCOUNT=<domain\user> AGTPASSWORD=<domainuserpassword> SQLBROWSERACCOUNT=<domain\user>  SQLBROWSERPASSWORD=<domainuserpassword>

; 6. Remove nodes from cluster: (This removes SQL Server Database Services feature from specified node)
; start /wait setup.exe /qn VS=<VSNAME> INSTALLVS=SQL_Engine INSTANCENAME=MSSQLSERVER ADMINPASSWORD=<Strongpassword> REMOVENODE=<NodeName> SQLACCOUNT=<domain\user> SQLPASSWORD=<domainuserpassword> AGTACCOUNT=<domain\user> AGTPASSWORD=<domainuserpassword> SQLBROWSERACCOUNT=<domain\user>  SQLBROWSERPASSWORD=<domainuserpassword>

; 7. Uninstall a Default cluster instance: (This removes SQL Server Database Services from the cluster)
; start /wait setup.exe /qn VS=<VSNAME> INSTANCENAME=MSSQLSERVER REMOVE=SQL_Engine ADMINPASSWORD=<Strongpassword>

; 8. Rebuild system databases:
; start /wait setup.exe /qn INSTANCENAME=MSSQLSERVER REINSTALL=SQL_Engine REBUILDDATABASE=1 

; 9. Repair SQL Server 2005 Management Studio shortcuts:
; start /wait setup.exe /qb REINSTALL=SQL_Tools90 REINSTALLMODE=S

; 10. Repair Full-Text Search Engine registry keys: 
; start /wait setup.exe /qb REINSTALL=SQL_FullText INSTANCENAME=MSSQLSERVER REINSTALLMODE=M

; 11. Repair All files, registry keys and shortcuts for a default instance:
; start /wait setup.exe /qb  INSTANCENAME=MSSQLSERVER REBUILDDATABASE=1 REINSTALL=All SAPWD=<Strongpassword> REINSTALLMODE=OMUS

; 12. Rebuild system databases on cluster:
; start /wait setup.exe /qn VS=<VSNAME> INSTANCENAME=MSSQLSERVER REINSTALL=SQL_Engine REBUILDDATABASE=1 ADMINPASSWORD=<strongpassword> SAPWD=<Newstrongpassword> SQLCOLLATION=<NewSystemCollation> SQLACCOUNT=<domain\user> SQLPASSWORD=<domainuserpassword> AGTACCOUNT=<domain\user> AGTPASSWORD=<domainuserpassword>

;--------------------------------------------------------------------
;--------------------------------------------------------------------
; The following line is REQUIRED when using a settings file.

[Options]
;--------------------------------------------------------------------
; If USERNAME or COMPANYNAME are not specified, the default operating system username and company name values for the server are used.
; Note: If names contain spaces, surround the names with quotes.

USERNAME=
COMPANYNAME=
;--------------------------------------------------------------------
;--------------------------------------------------------------------
; PIDKEY specifies the Product Identification Key.
; Usage: PIDKEY=ABCDE12345FGHIJ67890KLMNO  (This is not an actual key value.)

; NOTE: PIDKEY is not required for SQL Server Express Edition.
; NOTE: Do not include "-" in the PIDKEY.

;PIDKEY=
;--------------------------------------------------------------------
; INSTALLSQLDIR specifies the location for the instance specific binary files.  
; Default location is:  %ProgramFiles%\Microsoft SQL Server\
; To use the default path, do not specify the following parameter.

; NOTE: INSTALLSQLDIR is REQUIRED for clustered installations and must point to a local 
; drive for which the drive letter exists on all nodes in the cluster definition.
; NOTE:  If there is a space in a specified path, surround the path with quotes
; and end every path with a '\'.

INSTALLSQLDIR=
;--------------------------------------------------------------------
; INSTALLSQLSHAREDDIR specifies a custom location for Integration Services
; Notification Services, Client Components, SQL Server Books Online and Samples.
; To use the default path, do not specify the following parameter. Default path is %ProgramFiles%\Microsoft SQL Server\

; If Tools components are already installed on the computer, this parameter is ignored.
; NOTE:  If there is a space in a specified path, surround the path with quotes
; and end every path with a '\'.

; The installation paths will be:
;<InstallDir>\90\DTS
;<InstallDir>\90\Notification 
;<InstallDir>\90\Tools

INSTALLSQLSHAREDDIR=
;--------------------------------------------------------------------
; INSTALLSQLDATADIR specifies the location for the SQL Server data files.  
; Default:  INSTALLSQLDIR\Data\
; To use the default path, do not specify the following parameter.

; NOTE: INSTALLSQLDATADIR is REQUIRED for clustered installations and must point to a 
; shared drive which is a member of the cluster group specified for installation.
; NOTE:  If there is a space in a specified path, surround the path with quotes
; and end every path with a '\'.

INSTALLSQLDATADIR=
;--------------------------------------------------------------------
; INSTALLASDATADIR specifies the location for the Analysis Server Data Files.  
; Default:  INSTALLSQLDIR\Data\
; If Analysis Server is already installed on the computer, this parameter is ignored.
; To use the default path, do not specify the following parameter.

; NOTE:  Do not use with a SQL Server Express installation.  
; NOTE:  If there is a space in a specified path, surround the path with quotes
; and end every path with a '\'.

INSTALLASDATADIR=
;--------------------------------------------------------------------
; ADDLOCAL specifies which components to install.  If ADDLOCAL is not 
; specified, setup will fail.
; To install all components specify 'ADDLOCAL=ALL' on the command line.

; ADDLOCAL Rules:
; Features are case sensitive.
; To use ADDLOCAL, provide a comma-delimited list with no spaces of the 
;      features to install. 

; Selecting a parent feature only installs the parent feature, not the parent and the child.  
;      For example: SQL_Engine is the parent feature, SQL_Data_Files is the child feature. 
; Installing the child feature automatically installs the parent feature.
; Removing the parent feature removes the parent and all child features. See BOL for more information on this topic. 

; You can also use ADDLOCAL to add components in maintenance mode.  
; -------------------------
; List of features and their ADDLOCAL properties for 
; Developer, Enterprise, Evaluation, and Standard editions.
; For more information on the feature list supported per editions refer SQL Server Books Online.

; SQL Server Database Services		SQL_Engine
;    Data Files					SQL_Data_Files 
;    Replication                        			SQL_Replication
;    Full-Text Search Engine            			SQL_FullText
; Analysis Server                       		Analysis_Server
;    Data Files                         			AnalysisDataFiles 
; Reporting Services                     		RS_Server
;    Report Manager                     			RS_Web_Interface
; Notification Services			Notification_Services
;    Engine Components     				NS_Engine
;    Client Components				NS_Client
; Integration Services         			SQL_DTS
; Client Components*                     		Client_Components
;     Connectivity Components           			Connectivity
;     Management Tools                  			SQL_Tools90
;     Business Intelligence Development Studio   		SQL_WarehouseDevWorkbench
;     Software Development Kit          			SDK
;     SQLXML Client Features            			SQLXML
;     Legacy Components                 			Tools_Legacy
; Documentation and Samples*                         SQL_Documentation
;     SQL Server Books Online                          		SQL_BooksOnline
;     Sample Databases                                  		SQL_DatabaseSamples
;       AdventureWorks Sample OLTP                      	    SQL_AdventureWorksSamples
;       AdventureWorksDW Sample Data Warehouse             SQL_AdventureWorksDWSamples
;           AdventureWorks Sample OLAP                  	        SQL_AdventureWorksASSamples
;     Sample Code and Applications                      	SQL_Samples  

; -------------------------
; List of features and their ADDLOCAL properties for Workgroup edition.

; SQL Server Database Services          	SQL_Engine
;    Data Files                                         		SQL_Data_Files 
;    Replication                                        		SQL_Replication
;    Full-Text Search Engine                            		SQL_FullText
; Reporting Services                     		RS_Server
;    Report Manager                     			RS_Web_Interface
; Integration Services                                  	SQL_DTS
; Client Components*                                    	Client_Components
;     Connectivity Components                           		Connectivity
;     Management Tools                                  		SQL_Tools90
;     Software Development Kit                          		SDK
;     SQLXML Client Features                            		SQLXML
;     Legacy Components                                 		Tools_Legacy
; Documentation and Samples*                   	SQL_Documentation
;     SQL Server Books Online                           	SQL_BooksOnline
;     Sample Databases                                  		SQL_DatabaseSamples
;       AdventureWorks Sample OLTP                      	    SQL_AdventureWorksSamples
;       AdventureWorksDW Sample Data Warehouse             SQL_AdventureWorksDWSamples
;           AdventureWorks Sample OLAP                  	        SQL_AdventureWorksASSamples
;     Sample Code and Applications                      	SQL_Samples  


;NOTE: (*) If setup is being performed using CD. Installing the Client Components or Documentation and Samples requires Disc 2. However, if you use the /qn switch to suppress the Setup user interface, Setup will fail to prompt for Disc 2, and return Error 70379 ("Please insert Disc 2") in the Setup log file.
; -------------------------------------------------------------------
; List of features and their ADDLOCAL properties for Express edition.

; SQL Server Database Services		SQL_Engine
;    Data Files                                        		SQL_Data_Files 
;    Replication                                        		SQL_Replication
; Client Components                                     	Client_Components
;     Connectivity Components                      		Connectivity
;     Software Development Kit                          		SDK
;--------------------------------------------------------------------
; List of features and their ADDLOCAL properties for Express Edition with Advanced Services.

; SQL Server Database Services			SQL_Engine
;    Data Files					SQL_Data_Files 
;    Replication					SQL_Replication
;    Full-Text Search Engine				SQL_FullText
; Reporting Services                     		RS_Server
;    Report Manager                     		RS_Web_Interface
; Client Components                                 	Client_Components
;     Connectivity Components                       	Connectivity
;     Software Development Kit			SDK
;     Management Studio Express		SQL_SSMSEE
; -------------------------------------------------------------------
; List of features and their ADDLOCAL properties for Express Edition Toolkit.
; Client Components                                 	Client_Components
;     Connectivity Components                       	Connectivity
;     Software Development Kit			SDK
;     Business Intelligence Development Studio   		SQL_WarehouseDevWorkbench
;     Management Studio Express		SQL_SSMSEE
; -------------------------------------------------------------------

; REMOVE specifies which components to remove.

; To remove instance aware components like SQL Server, Reporting Services, Analysis Server, etc
; the REMOVE command needs to be used in conjunction with the INSTANCENAME parameter. 
; For example, to remove the instance aware component AND any non-instance aware components
; like Client_Components, you would specify the following:
; REMOVE=All INSTANCENAME=MSSQLSERVER
; NOTE: Don't use if you have several instances installed and you still want to use client tools. 

; To remove all non-instance aware components like Client_Components and SQL_DTS, specify
; REMOVE=ALL

; When REMOVE is specified for a new installation, components listed after 
; 'REMOVE=' will NOT be included for installation.  For example to install every 
; component except for Reporting Services components during a new installation specify 
; the following:
; ADDLOCAL=All REMOVE=RS_Server,RS_Web_Interface

; REMOVE can be used during maintenance to remove components from an existing
; installation. For example, to remove Full-Text search specify the following:
; REMOVE=SQL_FullText

; NOTE: Removing the parent feature removes both the parent and the child feature. 
; See SQL Server Books Online for more information on this topic. 

ADDLOCAL=
REMOVE=
;--------------------------------------------------------------------
; INSTANCENAME is REQUIRED; for a default instance use MSSQLSERVER  
; For shared components (IS, NS and client components) INSTANCENAME is not required.

INSTANCENAME= 
;--------------------------------------------------------------------
; The UPGRADE property specifies which product to upgrade.
; The allowed values are SQL_Engine, Analysis_Server, RS_Server, SQL_DTS, Notification_Services, Client_Components
; If the UPGRADE option is specified for the values (SQL_Engine, Analysis_Server, RS_Server), the INSTANCENAME parameter
; is REQUIRED to define which instance to upgrade.

; For example, to upgrade a default instance of Database Services
; use the following command line:
; UPGRADE=SQL_Engine INSTANCENAME=MSSQLSERVER

; To upgrade a named instance of SQL in which the SQL Service
; is running under a domain account, and you would like to 
; add the client components and tools, run this command:
; UPGRADE=SQL_Engine INSTANCENAME=<instancename>
; SQLACCOUNT=<domainname>\<accountname> SQLPASSWORD=< strongpassword>
; ADDLOCAL=Client_Components


UPGRADE=
;--------------------------------------------------------------------
; The UPGRADEUSER and UPGRADEPWD properties specify the SQL login used by setup
; to connect to upgrade SQL database engine.
; If the properties are not specified NT authentication is used.
; NOTE: To upgrade to SQL Server Express editions NT authentication has to be used.


UPGRADEUSER=
UPGRADEPWD=
;--------------------------------------------------------------------
; Use the SKUUPGRADE parameter when upgrading from one edition of SQL Server 2005 to another edition of SQL Server 2005.

; Important: If you use the SKUUPGRADE parameter, Setup will remove all hotfix and service pack updates from the SQL 
; Server instance being upgraded. Once the edition upgrade is complete, you must reapply all hotfix and service pack updates.

; To perform an edition upgrade of a default instance of SQL Server 2005 (SQL Engine only) via unattended Setup, run 
; the following command using either /qb or /qn:

; start /wait setup.exe ADDLOCAL=SQL_Engine INSTANCENAME=MSSQLSERVER UPGRADE=SQL_Engine SKUUPGRADE=1 /qb

SKUUPGRADE=
;--------------------------------------------------------------------
; The RSUPGRADEDATABASEACCOUNT and RSUPGRADEPASSWORD properties specify the Reporting Services database account and Reporting Services upgrade password respectively.

; For example to upgrade Default instance of Reporting Services and Database Services use the following command:
;/qb ADDLOCAL=All RSCONFIGURATION=Default RSSQLLOCAL=1 RSACCOUNT=<domain\user> RSPASSWORD=<strongpassword> ASACCOUNT=<domain\user> ASPASSWORD=<strongpassword> SQLACCOUNT=<domain\user>SQLPASSWORD=<strongpassword> AGTACCOUNT=<domain\user> AGTPASSWORD=<strongpassword> SQLBROWSERACCOUNT=<domain\user> SQLBROWSERPASSWORD=<strongpassword> SQLBROWSERAUTOSTART=1 UPGRADE=SQL_Engine,RS_Server INSTANCENAME=MSSQLSERVER RSUPGRADEDATABASEACCOUNT=SA RSUPGRADEPASSWORD=<strongpassword> 


RSUPGRADEDATABASEACCOUNT=
RSUPGRADEPASSWORD=
;--------------------------------------------------------------------
; SKIPUPGRADEBLOCKERS switch can be used during unattended upgrade setup. To enable this switch Specify 1 and to disable do not use this switch.

; NOTE: During upgrade if this switch is used, Upgrade Blockers checks will run, however blocked results will be skipped.
; If Upgrade Blockers identifies blocked results, using this switch may result into failed setup.

;SKIPUPGRADEBLOCKERS=1
;--------------------------------------------------------------------
; SAVESYSDB can be used during uninstall to not delete system databases.
; If SAVESYSDB is set to 1 during uninstall, the system databases are left behind in the SQL data directory.

SAVESYSDB=
;--------------------------------------------------------------------
; USESYSDB specifies the root path to the data directory of the system databases during upgrade. 
; For example: If the system databases were installed to "D:\Microsoft SQL Server\MSSQL.1\MSSQL\DATA", use SAVESYSDB during uninstall to save the system databases and then use USESYSDB="D:\Microsoft SQL Server\MSSQL.1\MSSQL" during installation of a new SQL Server instance to reuse the saved system databases.

USESYSDB=
;--------------------------------------------------------------------
; The services for SQL Server and Analysis Server are set auto start. To use the *ACCOUNT settings 
; make sure to specify the DOMAIN, e.g. SQLACCOUNT=DOMAINNAME\ACCOUNT
; NOTE:  When installing SQL_Engine 3 accounts are REQUIRED: SQLACCOUNT, AGTACCOUNT and SQLBROWSERACCOUNT. 

; SQLACCOUNT Examples: 
; SQLACCOUNT=<domain\user>
; SQLACCOUNT="NT AUTHORITY\SYSTEM"
; SQLACCOUNT="NT AUTHORITY\NETWORK SERVICE"
; SQLACCOUNT="NT AUTHORITY\LOCAL SERVICE"


; Note: To install localized versions of SQL Server, refer to the Localized Service Names table in the SQL Server Books Online topic "Setting Up Windows Service Accounts"


; Note that if SQLBrowser is already installed, SQLBROWSERACCOUNT and SQLBROWSERPASSWORD are ignored.

SQLBROWSERACCOUNT= 
SQLBROWSERPASSWORD=

SQLACCOUNT=
SQLPASSWORD=

AGTACCOUNT=
AGTPASSWORD=

ASACCOUNT=
ASPASSWORD=

RSACCOUNT=
RSPASSWORD=
;--------------------------------------------------------------------
; To use the *AUTOSTART features, specify 1 to start automatically or 0 to start manually.  
; NOTE: If you decide to start SQL Agent automatically, then SQL is also started automatically.  
; If *AUTOSTART is not specified on the command line, startup is set to manual. 

SQLBROWSERAUTOSTART=0
SQLAUTOSTART=0
AGTAUTOSTART=0
ASAUTOSTART=0
RSAUTOSTART=0
;--------------------------------------------------------------------
; To use Mixed mode authentication, use SECURITYMODE=SQL. 
; If SECURITYMODE=SQL is not specified, then Windows Authentication only will be used by default.
; If you use SQL Authentication, you are REQUIRED to provide a strong system administrator (SA) password.
; If you use Windows Authentication, the SA account will be disabled.
; To set SA password specify SAPWD.

SECURITYMODE=
SAPWD=
;--------------------------------------------------------------------
; SQLCOLLATION specifies the collation for Database Services.
; ASCOLLATION specifies the collation for Analysis Server.
; See SQL Server Books Online for more information on collation options.

SQLCOLLATION=
ASCOLLATION=
;--------------------------------------------------------------------
; Information for rebuilding system databases
; When system databases are corrupted, they need to be brought back to the original installed state. To rebuild the system databases set REBUILDDATABASE=1.
; This option is only available in unattended setup; either option /qb or /qn must be used

; When system databases are rebuilt it removes all database objects and data in master, model and msdb.
; In order to rebuild system databases new sa password is REQUIRED and system collation can be provided. In addition, the following parameters need to be provided: SQLACCOUNT, SQLPASSWORD, SQLAGTACCOUNT, SQLAGTPASSWORD, SQLBROWSERACCOUNT, SQLBROWSERPASSWORD

REBUILDDATABASE=
;--------------------------------------------------------------------
;REINSTALLMODE is used to repair installed components. The supported values are:
;O – Reinstall if file is missing, or an older version is present.
;M – Rewrite machine specific reg keys under HKLM
;U – Rewrite user specific reg keys under HKCU
;S – Reinstall all shortcuts

;When using REINSTALLMODE you are REQUIRED to use REINSTALL
;REINSTALL uses the same values as ADDLOCAL. 
;This option is only available in unattended setup either option /qb or /qn must be used.
;For example, to repair the Management Studio shortcut in case you accidentally delete it, 
;run REINSTALL=SQL_Tools90 REINSTALLMODE=S where “S” will repair only shortcuts.
; For example:
; REINSTALLMODE=S
; REINSTALLMODE=OMUS

REINSTALLMODE=
;--------------------------------------------------------------------
; RSCONFIGURATION specifies the Reporting Services installation option. 

; The installation options can be either “FilesOnly” or “Default”.
; The “FilesOnly” option will only install the files without configuring the Reporting Services. 
; The “Default” option will install the files and configure the Reporting Services. 
; If you specify RSCONFIGURATION=Default, you must set RSSQLLOCAL=1
; NOTE: If no option is specified the default is “FilesOnly”. 
; For example:
; RSCONFIGURATION=Default    
; RSCONFIGURATION=FilesOnly

RSCONFIGURATION=
;--------------------------------------------------------------------

; The RSUPGRADEDATABASEACCOUNT and RSUPGRADEPASSWORD are used for upgrading a report service. 
; The account is used to connect to SQL instance that hosts RS databases. If it is not specified
; NT authenticatuion is used.

RSUPGRADEDATABASEACCOUNT=
RSUPGRADEPASSWORD=
;--------------------------------------------------------------------

; SAMPLEDATABASESERVER specifies the SQL Server instance where the sample 
; databases will be attached. The parameter is used when AdventureWorks Samples or
; AdventureWorksDW Samples features are being installed. 
; Sample databases need to be attached to an existing local SQL instance that is the same
; version as sample databases.
; For example: SAMPLEDATABASESERVER=<Machine>\<Instancename> 

SAMPLEDATABASESERVER=
;--------------------------------------------------------------------
; The DISABLENETWORKPROTOCOLS switch is used to disable network protocol for SQL Server instance.
; Set DISABLENETWORKPROTOCOLS = 0; for Shared Memory= On, Named Pipe= On, TCP= On
; Set DISABLENETWORKPROTOCOLS = 1; for Shared Memory= On, Named Pipe= Off (Local Only), TCP= Off
; Set DISABLENETWORKPROTOCOLS = 2; for Shared Memory= On, Named Pipe= Off (Local Only), TCP= On

; Note: DISABLENETWORKPROTOCOLS if not specified has the following defaults.
; Default value for SQL Server Express/Evaluation/Developer: DISABLENETWORKPROTOCOLS =1
; Default value for Enterprise/Standard /Workgroup: DISABLENETWORKPROTOCOLS =2

DISABLENETWORKPROTOCOLS=
;--------------------------------------------------------------------
; If you enable ERRORREPORTING, SQL Server, SQL Server Agent and Analysis Server will be configured to automatically send a report to Microsoft if a fatal error occurs.
; Microsoft uses error reports to improve SQL Server functionality, and treats all information as confidential.
; To enable error reporting specify ERRORREPORTING=1
; By default ERRORREPORTING=0

ERRORREPORTING=

;--------------------------------------------------------------------
; If you enable SQMREPORTING, SQL Server Products will be configured to automatically 
; send periodic reports to Microsoft on feature usage. These reports are used to better understand
; how our customers use our products: which SQL services are installed, which features are being used, 
; database deployment, use, and maintenance  patterns, etc. This will help us determine how to improve reliability and how to better target resources in ; future offerings.
; To enable error reporting specify SQMREPORTING=1; 
; By default SQMREPORTING=0

SQMREPORTING=

;--------------------------------------------------------------------
; The ENABLERANU switch is used to configure Run as Normal User (User Instances).
; Set ENABLERANU = 0 to turn User Instances off.
; Set ENABLERANU = 1 (default) to turn User Instances on.
; Note: User Instances only apply to SQL Server Express SKUs.

ENABLERANU=

;--------------------------------------------------------------------
; The ADDUSERASADMIN switch is used to add the setup user to the 
; SQL Server 2005 System Administrator role. Members of the 
; System Administrator role can perform any activity in the server.
; Set ADDUSERASADMIN=1 to add the setup user to the SQL Server System Administrator role

ADDUSERASADMIN=

;--------------------------------------------------------------------
; ADMINPASSWORD parameter is used for cluster setup.
; Specify the password for the logged on user account.
; This account must be an administrator on the remote node(s). 

ADMINPASSWORD=
;--------------------------------------------------------------------
; The following parameters are required for cluster installations. To run a 
; cluster installation, you must be on a cluster and specify /qn or /qb in the command line.
  
; INSTALLSQLDIR - The drive letter must exist on both machines.
; INSTALLSQLDATADIR - The shared drive letter must exist in the disk group used in the GROUP parameter. 
; SQLACCOUNT,SQLPASSWORD,AGTACCOUNT,AGTPASSWORD - These must all be used.
; INSTANCENAME - For a default instance use MSSQLSERVER, see BOL for instance name rules.
; SAPWD – Strong SA Password (required for SQL Authentication)
;--------------------------------------------------------------------
; REQUIRED for cluster setup - Specify the name of the virtual server. 
; The name cannot exceed 15 characters and follows the same rules as for a computer name.

VS=
;--------------------------------------------------------------------
; REQUIRED for cluster setup - Specify the server that needs to be installed as a cluster 
; Use SQL_Engine for SQL and Analysis_Server for Analysis Server

INSTALLVS=
;--------------------------------------------------------------------
; REQUIRED for cluster setup - Specify the IP addresses; provide one entry for each network adapter.
; NOTE: You must specify both address and network name.
; Format: IP="address,network name"
; Example: IP="xxx.xxx.xxx.xxx,Local Area Connection"

IP=
;--------------------------------------------------------------------
; REQUIRED for cluster setup - Specify the Cluster group. 
; This is the group that contains the disk to which the shared data files are
; to be written, and that will contain SQL Server resources.
; Example:  GROUP="Group 2"

GROUP=
;--------------------------------------------------------------------
; REQUIRED for cluster setup - Specify which nodes you want in your Virtual Server. 
; The nodes must exist in the cluster. For a new installation, the node that owns the disk group must be included in the node list.   
; Example: ADDNODE="node1,node2"


ADDNODE=
;--------------------------------------------------------------------
; Use this to remove nodes from an existing cluster (REQUIRED ONLY when performing node maintenance)

;REMOVENODE=
;--------------------------------------------------------------------

;In order to install SQL Server 2005 as a failover cluster you must create domain local groups before starting the installation.
;For each clustered service in the SQL Server instance you are installing, provide the domain name and group name.
;The groups must be specified in the format of DomainName\GroupName
;DomainName\GroupName selections must exist at the time you run SQL Server Setup.
;The account under which SQL Server Setup is running must have privileges to add accounts to the domain groups.

SQLCLUSTERGROUP=
; REQUIRED for clustered setup if SQL Engine is installed 

ASCLUSTERGROUP=
; REQUIRED for clustered setup if Analysis Services is installed 

AGTCLUSTERGROUP=
; REQUIRED for clustered setup if SQL Agent is installed 

FTSCLUSTERGROUP=
; REQUIRED for clustered setup if Full Text Search is installed 

; Example; SQLCLUSTERGROUP="MYDOMIAN\MYSQLDOMAINGROUP" AGTCLUSTERGROUP="MYDOMIAN\MYAGTDOMAINGROUP"